Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.watchlist.delete_watchlist_by_id(watchlist_id=355756)
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.DeleteWatchlistByIdResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteWatchlistByIdResponse res = sdk.watchlist().deleteById()
.watchlistId("<id>")
.call();
// handle response
}
}curl --request DELETE \
--url https://api.tradearies.dev/v1/watchlist/{watchlist_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/watchlist/{watchlist_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Watchlist
Delete Watchlist by ID
Deletes a specific watchlist by its unique identifier. This operation permanently removes the watchlist including its name and all tracked symbols. Only the owner of the watchlist can delete it. This action cannot be undone.
DELETE
/
v1
/
watchlist
/
{watchlist_id}
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.watchlist.delete_watchlist_by_id(watchlist_id=355756)
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.DeleteWatchlistByIdResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteWatchlistByIdResponse res = sdk.watchlist().deleteById()
.watchlistId("<id>")
.call();
// handle response
}
}Was this page helpful?
⌘I